ZWField Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ZWField Struct Reference

a structure to store a field of a ZWrite file More...

`#include <ZWrtParser.hxx>`

## Public Member Functions
| ZWField ()
| constructor More...
bool | getString (MWAWInputStreamPtr &input, std::string &str) const
| returns the string corresponding to a field More...
bool | getBool (MWAWInputStreamPtr &input, bool &val) const
| returns the boolean corresponding to a field ( T or F ) More...
bool | getInt (MWAWInputStreamPtr &input, int &val) const
| returns the int corresponding to a field More...
bool | getFloat (MWAWInputStreamPtr &input, float &val) const
| returns the float corresponding to a field More...
bool | getIntList (MWAWInputStreamPtr &input, std::vector< int > &val) const
| returns a list of int corresponding to a field More...
bool | getDebugString (MWAWInputStreamPtr &input, std::string &str) const
| returns a debug string corresponding to a field ( replacing \n by ##[0d], ...) More...

## Public Attributes
MWAWEntry | m_pos
| the field position in the rsrc data file More...

## Detailed Description

a structure to store a field of a ZWrite file

## Constructor & Destructor Documentation

ZWField::ZWField | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool ZWField::getBool | ( | MWAWInputStreamPtr & | input,
|  | bool & | val
| ) |  | const

returns the boolean corresponding to a field ( T or F )

Referenced by ZWrtText::readHFZone(), ZWrtParser::readHTMLPref(), ZWrtParser::readPrintInfo(), and ZWrtText::readStyles().

bool ZWField::getDebugString | ( | MWAWInputStreamPtr & | input,
|  | std::string & | str
| ) |  | const

returns a debug string corresponding to a field ( replacing \n by ##[0d], ...)

Referenced by ZWrtText::readHFZone().

bool ZWField::getFloat | ( | MWAWInputStreamPtr & | input,
|  | float & | val
| ) |  | const

returns the float corresponding to a field

Referenced by ZWrtParser::readPrintInfo().

bool ZWField::getInt | ( | MWAWInputStreamPtr & | input,
|  | int & | val
| ) |  | const

returns the int corresponding to a field

Referenced by ZWrtText::readHFZone(), ZWrtParser::readPrintInfo(), ZWrtText::readStyles(), and ZWrtParser::readWindowPos().

bool ZWField::getIntList | ( | MWAWInputStreamPtr & | input,
|  | std::vector< int > & | val
| ) |  | const

returns a list of int corresponding to a field

Referenced by ZWrtText::readHFZone().

bool ZWField::getString | ( | MWAWInputStreamPtr & | input,
|  | std::string & | str
| ) |  | const

returns the string corresponding to a field

Referenced by ZWrtText::readHFZone(), ZWrtParser::readHTMLPref(), and ZWrtText::readStyles().

## Member Data Documentation

MWAWEntry ZWField::m_pos

the field position in the rsrc data file

Referenced by ZWrtParser::getFieldList(), and ZWrtText::readHFZone().

The documentation for this struct was generated from the following files:

- ZWrtParser.hxx
- ZWrtParser.cxx